Get Banking Billet Payment by ID
GETTag: api-baas-get-banking-billet-payment-by-idDescription: Get detailed information about a banking billet payment by its ID, including decoded billet data when available./v1/banking/billet-payments/:id
Request
Path Parameters
Banking billet payment ID.
Header Parameters
Sender Wallet UUID (if empty, your default Wallet UUID will be settled)
The nonce ID is a UUID (v4) used to uniquely identify the request. All requests must have an identifier.
Possible values: [pt-BR, en-US]
Indicates the preferred language. Defaults to Brazilian Portuguese if unspecified.
UUID (v4) of the product that the request should use. Send it explicitly when the authenticated user has more than one product or when the integration must select a specific product. If omitted and the endpoint does not require it, the API uses the authenticated user's default product.
UUID (v4) of the user on whose behalf the request should run within the selected product. If omitted, the request runs as the authenticated user. Requires x-product-uuid.
Responses
- 200
- 400
- 401
- 404
- 422
Banking billet payment found.
- application/json
- Schema
- Example (from schema)
Schema
Banking billet payment ID.
Possible values: [PENDING, WAITING, WAITING_CMP, CONFIRMED, FAILED, CANCELED]
Banking billet payment status.
Amount specified in Brazilian Real (R$) cents.
Creation date.
Confirmation date.
Operation ID.
Typeable line of the banking billet.
Barcode of the banking billet.
Due date of the banking billet.
Nominal value of the banking billet in Brazilian Real (R$) cents.
Beneficiary bank name.
Beneficiary bank ISPB.
Beneficiary full name.
Beneficiary document.
{
"id": "295564a9-c5fd-4e73-9abb-72e0383f2dfb",
"status": "CONFIRMED",
"amount": 1299,
"created_at": "2026-03-26T14:02:58.317Z",
"confirmed_at": "2026-03-26T14:02:58.317Z",
"operation_id": "295564a9-c5fd-4e73-9abb-72e0383f2dfb",
"typeable_line": "26090420781062989442839400000004199810000002050",
"barcode": "55900000000000000000000000000000000011578328",
"due_date": "2026-03-26T14:02:58.317Z",
"nominal_value": 2000,
"beneficiary_bank_name": "Banco do Brasil S.A.",
"beneficiary_bank_ispb": "00000000",
"beneficiary_full_name": "João da Silva",
"beneficiary_document": "11111111111"
}
If any required params are missing or has invalid format or type.
User authentication failed.
Banking billet payment not found.
If any required params are missing or has invalid format or type.